SUBDIRS = \
	16x16 \
	22x22

INCLUDES = \
	$(PLATFORM_CPPFLAGS)

if HAVE_GLADEUI

#
# stuff for the glade GUI
#

glademoduledir = $(GLADEUI_MODULE_DIR)

glademodule_LTLIBRARIES = libgladexfce4.la

libgladexfce4_la_SOURCES = \
	glade-xfce4.c

libgladexfce4_la_CFLAGS = \
	-I$(top_srcdir) \
	$(GLADEUI_CFLAGS) \
	$(PLATFORM_CFLAGS)

libgladexfce4_la_LDFLAGS = \
	-avoid-version \
	-module
if HAVE_CYGWIN
  libgladexfce4_la_LDFLAGS += \
	-no-undefined
endif
libgladexfce4_la_LDFLAGS += \
	$(PLATFORM_LDFLAGS)

libgladexfce4_la_LIBADD = \
	$(GLADEUI_LIBS) \
	$(top_builddir)/libxfcegui4/libxfcegui4.la 


gladecatalogdir = $(GLADEUI_CATALOG_DIR)
gladecatalog_DATA = xfce4.xml xfce4.xml.in
@INTLTOOL_XML_NOMERGE_RULE@

endif

#
# stuff for libglade
#

libglademoduledir = $(LIBGLADE_MODULE_DIR)

libglademodule_LTLIBRARIES = libxfce4.la

libxfce4_la_SOURCES = \
	libglade-xfce4.c

libxfce4_la_CFLAGS = \
	-I$(top_srcdir) \
	$(LIBXFCE4UTIL_CFLAGS) \
	$(LIBGLADE_CFLAGS) \
	$(PLATFORM_CFLAGS)

libxfce4_la_LDFLAGS = \
	-export-dynamic \
	-avoid-version \
	-module
if HAVE_CYGWIN
  libxfce4_la_LDFLAGS += \
	-no-undefined
endif
libxfce4_la_LDFLAGS += \
	$(PLATFORM_LDFLAGS)

libxfce4_la_LIBADD = \
	$(LIBGLADE_LIBS) \
	$(top_builddir)/libxfcegui4/libxfcegui4.la 


CLEANFILES = xfce4.xml
EXTRA_DIST = xfce4.xml.in
